Bug 187018 - x freezes on simple errors that used to generate "beep"
x freezes on simple errors that used to generate "beep"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-27 22:22 EST by Barry K. Myrvold
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-21 09:02:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Barry K. Myrvold 2006-03-27 22:22:11 EST
Description of problem:
windows freeze on error messages. 

Version-Release number of selected component (if applicable):
fedora core 6 basic

How reproducible:
simply by doing something that would normally generate an error "beep" such as
going to the end of a file or similar actions.  Under fedora core 4 and all
previous versions, when you run the curser to the end of a file, or so something
similar, the computer simply beeps but with fc5, x freezes solid and the cursor
disappears.  Have to reboot to do anything.

Steps to Reproduce:
1. simply do something to generate an error "beep" and x freezes solid.
2.
3.
  
Actual results:
x freezes.

Expected results:


Additional info:
Xorg.log doesn't have anything.
Comment 1 Andre Robatino 2006-03-28 15:59:26 EST
  I've had X freeze twice and was able to restart the X server with
Ctrl-Alt-Backspace, rebooting wasn't necessary.
Comment 2 Barry K. Myrvold 2006-04-05 21:55:52 EDT
Could not restart xserver with the Crtl-Alt-Backspace suggested above, but thank
you for suggesting it.

I have some more data points that may help.  First, the freezing occurs on both
gnome and kde windows.  Second, the freezing stopped when I stopped using the nv
driver and began using nvidia's drivers (the repackaged livna drivers.  This
leads me to conclude that the nv driver is/was at fault.  Here is the pertinent
system information - hope it helps you track down this bug:
kernel:  2.6.16-1.2080_FC5smp
lspci:
00:00.0 Host bridge: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX Host bridge
(rev 03)
00:01.0 PCI bridge: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge
(rev 03)
00:07.0 ISA bridge: Intel Corporation 82371AB/EB/MB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corporation 82371AB/EB/MB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corporation 82371AB/EB/MB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corporation 82371AB/EB/MB PIIX4 ACPI (rev 02)
00:0d.0 PCI bridge: Hint Corp HB6 Universal PCI-PCI bridge (non-transparent
mode) (rev 15)
00:0e.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus Controller
(rev 01)
00:10.0 RAID bus controller: Silicon Image, Inc. Adaptec AAR-1210SA SATA
HostRAID Controller (rev 02)
00:11.0 Ethernet controller: 3Com Corporation 3c905B 100BaseTX [Cyclone]
00:13.0 PCI bridge: Digital Equipment Corporation DECchip 21152 (rev 03)
01:00.0 VGA compatible controller: nVidia Corporation NV28 [GeForce4 Ti 4200 AGP
8x] (rev a1)
02:08.0 USB Controller: NEC Corporation USB (rev 41)
02:08.1 USB Controller: NEC Corporation USB (rev 41)
02:08.2 USB Controller: NEC Corporation USB 2.0 (rev 02)
02:0c.0 FireWire (IEEE 1394): Texas Instruments TSB43AB23 IEEE-1394a-2000
Controller (PHY/Link)
03:09.0 Multimedia audio controller: Creative Labs SB Audigy (rev 04)
03:09.1 Input device controller: Creative Labs SB Audigy MIDI/Game port (rev 04)
03:09.2 FireWire (IEEE 1394): Creative Labs SB Audigy FireWire Port (rev 04)
03:0a.0 SCSI storage controller: Adaptec AHA-2940U2/U2W / 7890/7891

Good luck. 
bkm
Comment 3 Mike A. Harris 2006-05-19 00:33:35 EDT
This is filed against Fedora Core 5, but there the first comment indicates
"Fedora Core 6 basic".  Fedora Core 6 does not yet exist, and we do not
have any OS variant named "basic".  Please verify the exact specific OS
release you are using, and change the version field to reflect the correct
release if needed.  If you are using Fedora development (rawhide) packages
at all, always file against Fedora "devel" version, and not FC5.

Also, attach your X server log and config file as individual uncompressed
file attachments using the link below.  Type text/plain.

Thanks in advance.
Comment 5 Matěj Cepl 2007-03-29 12:55:51 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 6 Matěj Cepl 2007-06-21 09:02:19 EDT
No response from reporter, closing as INSUFFICIENT_DATA. If anyone has some
information on this bug, please, reopen with additional data.

Note You need to log in before you can comment on or make changes to this bug.